%global modname dbusmock

Name:             python-%{modname}
Version:          0.11.1
Release:          6%{?dist}
Summary:          Mock D-Bus objects

Group:            Development/Libraries
License:          LGPLv3+
URL:              http://pypi.python.org/pypi/python-dbusmock
Source0:          http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
Patch0:           mockobject.patch
Patch1:           timedated_tests.patch
Patch2:           timedated_template.patch
Patch3:           logind_tests.patch

BuildArch:        noarch
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
BuildRequires:    python3-nose, python3-dbus, python3-gobject
BuildRequires:    python-devel, python-setuptools, dbus-python, python-nose
BuildRequires:    pygobject3, dbus-x11, upower
Requires:         dbus-python, pygobject3, dbus-x11



%description
With this program/Python library you can easily create mock objects on
D-Bus. This is useful for writing tests for software which talks to
D-Bus services such as upower, systemd, ConsoleKit, gnome-session or
others, and it is hard (or impossible without root privileges) to set
the state of the real services to what you expect in your tests.

%package -n python3-dbusmock
Summary: Mock D-Bus objects (in Python3)
Requires: python3-dbus, python3-gobject
%description -n python3-dbusmock
%{summary}.

%prep
%autosetup -p1 -n %{name}-%{version}

rm -rf python-%{modname}.egg-info

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python2} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install

%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd

%check

# Tests are disabled for now
%{__python2} setup.py test

pushd %{py3dir}
%{__python3} setup.py test
popd

%files
%doc README.rst COPYING
%{python2_sitelib}/*%{modname}*

%files -n python3-dbusmock
%doc README.rst COPYING
%{python3_sitelib}/*%{modname}*

%changelog
* Thu Jul 27 2017 Matěj Cepl <mcepl@redhat.com> - 0.11.1-6
- Fix failing tests (RHBZ #1220746)

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug 08 2014 Matěj Cepl <mcepl@redhat.com> - 0.11.1-1
- Update to 0.11.1

* Thu Jul 17 2014 Bastien Nocera <bnocera@redhat.com> 0.10.3-2
- Add Python3 sub-package

* Thu Jul 17 2014 Bastien Nocera <bnocera@redhat.com> 0.10.3-1
- Update to 0.10.3

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 12 2013 Bastien Nocera <bnocera@redhat.com> 0.8.1-1
- Update to 0.8.1

* Fri Nov 08 2013 Bastien Nocera <bnocera@redhat.com> 0.8-1
- Update to 0.8

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jun 13 2013 Bastien Nocera <bnocera@redhat.com> 0.6.3-1
- Update to 0.6.3

* Thu Jun 13 2013 Bastien Nocera <bnocera@redhat.com> 0.6.2-1
- Update to 0.6.2

* Wed Jun 12 2013 Bastien Nocera <bnocera@redhat.com> 0.6-1
- Update to 0.6.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 21 2013 Bastien Nocera <bnocera@redhat.com> 0.4.0-1
- Update to 0.4.0

* Mon Jan 07 2013 Bastien Nocera <bnocera@redhat.com> 0.3.1-1
- Update to 0.3.1

* Wed Dec 19 2012 Matěj Cepl <mcepl@redhat.com> - 0.3-1
- New upstream release.

* Mon Oct 08 2012 Matěj Cepl <mcepl@redhat.com> - 0.1.1-2
- remove the bundled egg-info following the package review.

* Fri Oct 05 2012 Matěj Cepl <mcepl@redhat.com> - 0.1.1-1
- This version should actually work

* Tue Oct 02 2012 Matěj Cepl <mcepl@redhat.com> 0.0.3-1
- initial package for Fedora
